<?php



class VioletactiveMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.VioletactiveMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(VioletactivePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(VioletactivePeer::TABLE_NAME);
		$tMap->setPhpName('Violetactive');
		$tMap->setClassname('Violetactive');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('VA_PROKEY', 'VaProkey', 'VARCHAR', true, 15);

		$tMap->addForeignKey('VA_CUSTOMERID', 'VaCustomerid', 'INTEGER', 'tblblogschools', 'SC_ID', true, null);

		$tMap->addColumn('VA_ACTIVEKEY', 'VaActivekey', 'VARCHAR', true, 39);

		$tMap->addColumn('VA_VERSION', 'VaVersion', 'VARCHAR', true, 5);

		$tMap->addColumn('VA_ACTIVEDATE', 'VaActivedate', 'DATE', true, null);

		$tMap->addColumn('VA_PAY', 'VaPay', 'TINYINT', true, null);

	} 
} 